import request from '@/utils/request'
export const docTypeApi = {
  interface: {
    query: '/suit/suitconvenientdoc/querySuitConvenientDocByPagination',
    add: '/suit/suitconvenientdoc/add',
    update: '/suit/suitconvenientdoc/update/',
    del: '/suit/suitconvenientdoc/delete/',
    detail: '/suit/suitconvenientdoc/detail/',
    queryFirstLevel: '/suit/suitconvenientdoc/querySuitConvenientDocs'
  },
  query(params) {
    return request({
      url: this.interface.query,
      method: 'get',
      params
    })
  },
  queryFirstLevel(params) {
    return request({
      url: this.interface.queryFirstLevel,
      method: 'get',
      params
    })
  },
  detail(id) {
    return request({
      url: this.interface.detail + id,
      method: 'get'
    })
  },
  add(data) {
    return request({
      url: this.interface.add,
      method: 'post',
      data
    })
  },
  del(id) {
    return request({
      url: this.interface.del + id,
      method: 'delete'
    })
  },
  updateDocType(id, data) {
    return request({
      url: this.interface.update + id,
      method: 'put',
      data
    })
  }
}

export const convenientDocApi = {
  interface: {
    query: '/suit/suitconvenientlitigation/queryByPagination',
    add: '/suit/suitconvenientlitigation/add',
    update: '/suit/suitconvenientlitigation/update/',
    del: '/suit/suitconvenientlitigation/delete/',
    detail: '/suit/suitconvenientlitigation/detail/',
    docTypeList: '/suit/suitconvenientdoc/querySuitConvenientDocs'
  },
  query(params) {
    return request({
      url: this.interface.query,
      method: 'get',
      params
    })
  },
  detail(id) {
    return request({
      url: this.interface.detail + id,
      method: 'get'
    })
  },
  del(id) {
    return request({
      url: this.interface.del + id,
      method: 'delete'
    })
  },
  add(data) {
    return request({
      url: this.interface.add,
      method: 'post',
      data
    })
  },
  update(id, data) {
    return request({
      url: this.interface.update + id,
      method: 'put',
      data
    })
  },
  docTypeList(params) {
    return request({
      url: this.interface.docTypeList,
      method: 'get',
      params
    })
  },
  getFileListByIds(ids) {
    return request({
      baseURL: process.env.VUE_APP_BASE_API,
      url: '/authority/upload/showSpeedy/' + ids,
      method: 'get'
    })
  }
}
