import request from '@/utils/request'
export const workHourApi = {
  interface: {
    query: '/suit/suitworkhour/queryGroupByTitle',
    queryAllYear: '/suit/suitworkhour/getAllYear',
    queryByTitleAndYear: '/suit/suitworkhour/querySuitWorkHours',
    querySameName: '/suit/suitworkhour/querySameName',
    copyOneYear: '/suit/suitworkhour/copyOneYear',
    add: '/suit/suitworkhour/add'
  },
  query(params) {
    return request({
      url: this.interface.query,
      method: 'get',
      params
    })
  },
  queryByTitleAndYear(params) {
    return request({
      url: this.interface.queryByTitleAndYear,
      method: 'get',
      params
    })
  },
  querySameName(params) {
    return request({
      url: this.interface.querySameName,
      method: 'get',
      params
    })
  },
  queryAllYear() {
    return request({
      url: this.interface.getAllYear,
      method: 'get',
    })
  },
  detail(id) {
    return request({
      url: this.interface.detail + id,
      method: 'get'
    })
  },
  add(data) {
    return request({
      url: this.interface.add,
      method: 'post',
      data
    })
  },
  copyOneYear(data) {
    return request({
      url: this.interface.copyOneYear,
      method: 'post',
      data
    })
  }
}
