import request from '@/utils/request'
export const dataStatistics = {
  interface: {
    queryStatistics: '/suit/suitvisitrecord/getStatisticCount',
    queryEnter: '/suit/suitvisitrecord/getCountByDate',
    userInfoStatistic: '/suit/suituser/userInfoStatistic',
    userInfoTimeStatistic: '/suit/suituser/registerInfoStatistic'
  },
  /** 查询访客数据统计数据
   * */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get',
      params
    })
  },
  /** 查询入离院数据
   * */
  queryEnter(params) {
    return request({
      url: this.interface.queryEnter,
      method: 'get',
      params
    })
  },
  /** 用户信息统计*/
  userInfoStatistic(params) {
    return request({
      url: this.interface.userInfoStatistic,
      method: 'get',
      params
    })
  },
  /** 用户信息统计(注册时间)*/
  userInfoTimeStatistic(params) {
    return request({
      url: this.interface.userInfoTimeStatistic,
      method: 'get',
      params
    })
  }
}
export const selfHelp = {
  interface: {
    queryStatistics: '/suit/suitdeviceused/getDeviceUseStatistic',
    queryUseWave: '/suit/suitdeviceused/getDeviceUseWave'
  },
  /** 查询是自助设备数据统计数据
   * */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get',
      params
    })
  },
  /**
   * 查询使用次数波动
   */
  queryUseWave(params) {
    return request({
      url: this.interface.queryUseWave,
      method: 'get',
      params
    })
  }
}
export const mediateCase = {
  interface: {
    queryStatisticsUp: '/suit/suimediatetcasebase/mediateCaseStaticUp',
    queryStatistics: '/suit/suimediatetcasebase/mediateCaseStatic/'
  },
  /**
   * 查询调解数据统计数据
  */
  queryStatisticsUp(params) {
    return request({
      url: this.interface.queryStatisticsUp,
      method: 'get',
      params
    })
  },
  queryDown(params) {
    return request({
      url: this.interface.queryStatistics + params,
      method: 'get'
    })
  }
}
export const petitionCase = {
  interface: {
    queryStatisticsUp: '/suit/suitpetition/petitionCaseStaticUp',
    queryStatistics: '/suit/suitpetition/petitionCaseStatic/'
  },
  /**
   * 查询信访数据统计数据
  */
  queryStatisticsUp(params) {
    return request({
      url: this.interface.queryStatisticsUp,
      method: 'get',
      params
    })
  },
  queryDown(params) {
    return request({
      url: this.interface.queryStatistics + params,
      method: 'get'
    })
  }
}
export const caseBase = {
  interface: {
    queryStatistics: '/suit/suitcasebase/controlCaseBaseStatistics/up',
    queryDown: '/suit/suitcasebase/controlCaseBaseStatistics/down/'
  },
  /**
   * 查询立案数据统计数据
  */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get'
    })
  },
  queryDown(range) {
    return request({
      url: this.interface.queryDown + range,
      method: 'get'
    })
  }
}
export const newsStatistic = {
  interface: {
    queryStatistics: '/authority/system/news/newsStatistic'
  },
  /**
   * 查询立案数据统计数据
  */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get'
    })
  }
}
export const litigationStatistic = {
  interface: {
    queryStatistics: '/suit/suitconvenientlitigation/handyDocStatistic'
  },
  /**
   * 查询立案数据统计数据
  */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get'
    })
  }
}
export const messageStatistic = {
  interface: {
    queryStatistics: '/suit/suitjudgemessage/controlSuitJudgeMessage/up',
    queryBetween: '/suit/suitjudgemessage/controlSuitJudgeMessage/between',
    queryDown: '/suit/suitjudgemessage/controlSuitJudgeMessage/down/'
  },
  /**
   * 查询数据统计数据
  */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get'
    })
  },
  queryBetween(params) {
    return request({
      url: this.interface.queryBetween,
      method: 'get'
    })
  },
  queryDown(params) {
    return request({
      url: this.interface.queryDown + params,
      method: 'get'
    })
  }
}
export const lawsStatistic = {
  interface: {
    queryStatistics: '/suit/suitlaws/lawsStatistic'
  },
  /**
   * 查询立案数据统计数据
  */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get'
    })
  }
}
