import request from '@/utils/request'

/** 项目信息新增接口 */
export function projectAdd(data) {
  return request({
    url: '/sysproject/add',
    method: 'post',
    data
  })
}

/**  项目表单查询 */
export function projectQuery(params) {
  return request({
    url: '/sysproject/queryProjectByPage',
    method: 'get',
    params
  })
}

/**  项目表单编辑*/
export function projectEdit(data) {
  return request({
    url: '/sysproject/edit',
    method: 'put',
    data
  })
}
/**  项目表单删除*/
export function projectDel(businessId) {
  return request({
    url: '/sysproject/logDelete/' + businessId,
    method: 'delete'
  })
}
/** 数据字典接口 */
export function dictData(data) {
  return request({
    url: '/contract/contract/getDictData',
    method: 'get',
    params: data
  })
}
/** 根据选择模板的类型查询数据字典 */
export function dictDataType(data) {
  return request({
    url: '/sysproject/getDictDataByType',
    method: 'get',
    params: data
  })
}
/** 查询项目所有数据字典 */
export function getDictAll(data) {
  return request({
    url: '/sysproject/getDictData',
    method: 'get',
    params: data
  })
}
// 获取所有数据字典类型
export function getUnit(data) {
  return request({
    url: '/sysUnit/queryUnitByPage',
    method: 'get',
    params: data
  })
}
